#
# spec file for package alice (Version 0.9.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  docbktls docbook-dsssl-stylesheets docbook_3 docbook_4 ghostscript-fonts-std ghostscript-library ghostscript-serv glib iso_ent jade_dsl jadetex libjpeg libpng libz sgmltool sp sp-devel tetex transfig xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbktls docbook-dsssl-stylesheets docbook_3 docbook_4 e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-std ghostscript-library ghostscript-serv glib glibc glibc-devel gpm gppshare grep groff gzip iso_ent jade_dsl jadetex kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone transfig unzip util-linux vim xshared

Name:         alice
Summary:      Automatic Linux Installation and Configuration Environment
Version:      0.9.4
Release:      65
Copyright:    GPL
Group:        Utilities/System
#Source:      susefra1.fra.suse.de:/space/Software/alice/alice.tgz
Source0:      alice-%{version}.tar.bz2
Requires:     bash, perl
BuildRoot:    /usr/src/packages/BUILD/alice

%description
The package alice (Automatic Linux Installation and Configuration
Environment) gives you the possability of building an installation
server for automatical installations.
Please read the alice manual, which can be found in
/usr/share/doc/packages/alice/alice.pdf. The package also includes a
HTML version of this manual.

Authors:
--------
    Fabian Herschel <Fabian.Herschel@suse.de>

SuSE series: ap

%prep
%setup 

%build
make build

%install
make ROOT="$RPM_BUILD_ROOT" install
cd $RPM_BUILD_ROOT%{_docdir}/%{name}
find . -type d | xargs chmod 555
find . -type f | xargs chmod 444

%files
/usr/lib/alice
/var/adm/fillup-templates/rc.config.alice
%doc /usr/share/doc/packages/alice

%clean
#test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
#
##############################################################################
#

%post
for i in cfg classes info templates tmp
do
   test ! -d usr/lib/alice/$i && mkdir usr/lib/alice/$i
done
if [ -d usr/lib/alice/doc -o -L usr/lib/alice/doc ]
then
   rm usr/lib/alice/doc
fi
ln -s ../../../usr/share/doc/packages/alice usr/lib/alice/doc
if test -x bin/fillup
then
    if test -e etc/SuSE-release
    then
        if test -e etc/rc.config.d/alice.rc.config
        then
	    echo -n "Updating etc/rc.config.d/alice.rc.config..."
            bin/fillup -q -t       -d "=" etc/rc.config.d/alice.rc.config var/adm/fillup-templates/rc.config.alice
        else
	    echo -n "Updating etc/rc.config and etc/rc.config.d/alice.rc.config..."
            bin/fillup -q -t -r -i -d "=" etc/rc.config var/adm/fillup-templates/rc.config.alice etc/rc.config.d/alice.rc.config
            mv etc/rc.config.new etc/rc.config
        fi
    else
	echo -n "Updating etc/rc.config..."
        bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.alice
    fi
    echo "Done."
else
    echo
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and /var/adm/fillup-templates/rc.config.alice and"
    echo "update by hand."
fi
usr/lib/alice/bin/prepare_alice -auto
#
##############################################################################
#

%preun
if [  -L usr/lib/alice/doc ]
then
   rm usr/lib/alice/doc
fi

%changelog -n alice
* Wed Sep 12 2001 - nashif@suse.de
- 6000 inodes support for bootdisk (feature of 7.3)
- Add support and templates for 7.3
* Mon Sep 03 2001 - nashif@suse.de
- Update to version 0.9.4
* Tue Aug 14 2001 - ro@suse.de
- added sp to neededforbuild
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Jul 27 2001 - kukuk@suse.de
- Add glib to neededforbuild
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Tue Jun 05 2001 - bk@suse.de
- prepare_alice.diff: fix for insserv and umount $alice_mount after make all
- make_inst_disk.diff: create initrd with more inodes for new 7.2 initrds
* Mon May 21 2001 - bk@suse.de
- don't install CVS subdirs
* Thu May 10 2001 - bk@suse.de
- collection of small fixes(all in the new patch alice.diff):
  bin/make_fstab: simple syntax error fix (if then)
  bin/make_rc_config: empty variables are not set anymore
  samples/info/simple.sample.de.sys.tcf: typo fix
  util/make_inst_disk: fix display of ip address
* Tue May 08 2001 - bk@suse.de
- alice_lvm_cmd: YaST needs paths from mkreiserfs and but progress info
* Thu May 03 2001 - bk@suse.de
- fix for alice_lvm_cmd --create_fs to be redirected to /dev/null (too verbose)
- Added runlevel link for S09boot.alice and runlevel 3
- cleanup of obsolete files
* Tue Apr 24 2001 - bk@suse.de
- fixes ;;-bug in make_inst_disk
- examples update
* Mon Apr 23 2001 - bk@suse.de
- updated to current version 0.9.2 (CVS tag alice0_9_2)
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Wed Mar 14 2001 - ro@suse.de
- changed neededforbuild <docbk_4> to <docbook_4>
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Mon Jan 22 2001 - bk@suse.de
- added fixes for make_inst_cd
* Wed Jan 17 2001 - bk@suse.de
- Fixed permissions for %%{_docdir}/%%{name}/html/* (was not user-readable)
* Mon Jan 15 2001 - bk@suse.de
- Updated to new version from fabian (only new documentation)
* Fri Jan 12 2001 - bk@suse.de
- %%post: Updated info messages of rc.config updates
- Added Gateway support
- config dhcpclient with <NET_IP_CONFIG>eth0 dhcpclient</NET_IP_CONFIG>
- make_inst_disk: Move ldlinux.sys temporary from disk to make space.
- bin/make_all: removed mysql module(does not exist)
- lib/alicerc: change cp -Pa to cp -a --parents for new cp(no warnings)
* Wed Jan 03 2001 - fabian@suse.de
- Switching to new initd directory
- Documentation updated
* Mon Nov 27 2000 - fabian.herschel@suse.de
- An additional sample file
* Mon Nov 27 2000 - fabian.herschel@suse.de
- Updated documentation
- New sample files
- New parameter handling in alice_lvm_cmd
* Mon Oct 16 2000 - fabian@suse.de
- alice installtion scripts improved
- alice will not longer change an unset root passwd by default
- alice now offers an additional config method. you can generate your
  info, partition, lvm and selection files if you use the new alice
  tags. this makes the configuration files more unitary.
* Fri Jul 14 2000 - fabian@suse.de
- The documentation is updated
- Some new sample files
- Minor repair in the utils
- alice.pdf instead of alice.ps
* Tue Jul 11 2000 - fabian@suse.de
- The REAME file was missleading. Documentation corrected
* Tue Jul 11 2000 - fabian@suse.de
- Now the documentation is up to date and the id string for the
  7.0 beta is testes correctly
* Mon Jul 10 2000 - fabian@suse.de
- the documentation is updated and now tells the correct license (GPL)
* Mon Jun 19 2000 - fabian@suse.de
- make_dns_client added
- make_printer configures the spool system
- alicerc is improved
* Tue Jun 13 2000 - Fabian Herschel@suse.de
- sample directory added
- make_inst_cd corrected (cdrecord was a comment only )
- make_info_file added
